{ config, pkgs, ... }:

let
  passDataDir = "${config.xdg.dataHome}/pass";

  myPassPackage = pkgs.pass.withExtensions (ext: [
    ext.pass-audit
  ]);
in
{
  programs.password-store = {
    enable = true;
    package = myPassPackage;
    settings = {
      PASSWORD_STORE_DIR = "${passDataDir}/store";
    };
  };
  services.pass-secret-service.enable = true;

  programs.gpg.enable = true;
  services.gpg-agent = {
    enable = true;
    pinentryFlavor = "gtk2";
  };
}
